"""
Program name: quiz.py
Author: Mark Clarkson
Date: March, 2013
Description: A 3-question quiz to demonstrate some key features in Python
Notes:
1. The triple quotes create a multi-line comment. The computer ignore this bit
2. The hash symol creates a single-line comment. The computer ignores this too
3. Keep an original copy of this code somewhere safe. Running the code
involves saving over it.
"""

# Part 1 - Set the initial _variables_ of 'score' and 'name'
score = 0
name = input("Hello there player. What is your name? ")

# Part 2 - Print out a simple greeting using the player's name.
print("")
print("Good to meet you "  + name + ". Answer the following questions:")

# Part 3a - Question 1. Ask the question and get an input...
print("")
answer = input("What is the 4th letter of the alphabet? (lower case): ")
print("")

# Part 3b - If the answer is correct, add 1 to the score and print a nice message
#         - Otherwise, print a message to say it is wrong
if answer == "d":
    score = score + 1
    print("Congratulations - correct!")
else:
    print("Sorry, that's the wrong answer :-(")

# Part 4 - Repeat for question 2

print("")
answer = input("Finish the name of the famous music star, Jay _. (upper case): ")
print("")

if answer == "Z":
    score = score + 1
    print("Congratulations - correct!")
else:
    print("Sorry, that's the wrong answer :-(")

# Part 5 - Repeat for question 3

print("")   
answer = int(input("What is the square root of 169? "))
print("")

if answer == 13:
    score = score + 1
    print("Congratulations - correct!")
else:
    print("Sorry, that's the wrong answer :-(")

# Part 6 - If the user got full marks, display a message to say so
#        - If the user got more than 0 (at least 1) then display a different message
#        - Otherwise, display a third message

print("\n============\n") # The string "\n" means a new line (like hitting return)

if score == 3:
    print("Congratulations " + name + ", you got all the answers right!")
elif score > 0:
    print("Not bad " + name + ", you got some of them right.")
else:
    print("Oh dear, oh dear.I think it might be worth trying that again!")
